%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

%global gtk4_version 4.4.0
%global libadwaita_version 1.2~alpha

Name:		baobab
Version:	44.0
Release:	%mkrel 1
Summary:	Disk Usage Analyzer (aka Baobab)
License:	GPLv2+
Group:		File tools
Url:		https://wiki.gnome.org/GnomeUtils/Baobab
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	itstool
BuildRequires:	intltool
BuildRequires:	pkgconfig(gnome-doc-utils)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gtk4) >= %{gtk4_version}
BuildRequires:  pkgconfig(libadwaita-1) >= %{libadwaita_version}
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(libgtop-2.0)
BuildRequires:	pkgconfig(libhandy-1)
BuildRequires:	vala
BuildRequires:	meson

%description
Disk Usage Analyzer is is a graphical, menu-driven application to analyze
disk usage in any Gnome environment. Disk Usage Analyzer can easily scan
either the whole file-system tree, or a specific user-requested directory
branch (local or remote).

It also auto-detects in real-time any changes made to your home directory
as far as any mounted/unmounted device. Disk Usage Analyzer also provides
a full graphical tree-map window for each selected folder.

%prep
%setup -q

%build
%meson
%meson_build

%install
%meson_install

#we don't want these
find %{buildroot} -name '*.la' -delete

%find_lang %{name} --with-gnome

%check
%meson_test

%files -f %{name}.lang
%doc README.md NEWS AUTHORS
%{_bindir}/%{name}
%{_datadir}/metainfo/org.gnome.baobab.appdata.xml
%{_datadir}/glib-2.0/schemas/org.gnome.%{name}.gschema.xml
%{_datadir}/applications/org.gnome.%{name}.desktop
%{_datadir}/dbus-1/services/org.gnome.%{name}.service
%{_datadir}/icons/*/*/apps/org.gnome.baobab*.*
%{_mandir}/man1/%{name}.1*


%changelog
* Fri Apr 21 2023 tmb <tmb> 44.0-1.mga9
+ Revision: 1953860
- update to 44.0

* Sat Sep 24 2022 tv <tv> 43.0-1.mga9
+ Revision: 1892073
- Update to 43.0

* Wed Mar 30 2022 umeabot <umeabot> 40.0-2.mga9
+ Revision: 1835517
- Mageia 9 Mass Rebuild

* Wed Mar 24 2021 ovitters <ovitters> 40.0-1.mga9
+ Revision: 1709444
- new version 40.0

* Sat Sep 12 2020 ovitters <ovitters> 3.38.0-1.mga8
+ Revision: 1625284
- new version 3.38.0

* Wed Aug 12 2020 ovitters <ovitters> 3.37.90-1.mga8
+ Revision: 1613713
- new version 3.37.90

* Fri Jul 03 2020 ovitters <ovitters> 3.35.2-1.mga8
+ Revision: 1601578
- new version 3.35.2

* Sun Jun 21 2020 daviddavid <daviddavid> 3.35.1-1.mga8
+ Revision: 1598182
- new version 3.35.1

* Sun Feb 16 2020 umeabot <umeabot> 3.34.0-2.mga8
+ Revision: 1531077
- Mageia 8 Mass Rebuild

* Mon Sep 09 2019 ovitters <ovitters> 3.34.0-1.mga8
+ Revision: 1439021
- new version 3.34.0

* Wed Apr 17 2019 umeabot <umeabot> 3.32.0-2.mga7
+ Revision: 1392119
- Rebuild with meson 0.50.1

* Mon Mar 11 2019 ovitters <ovitters> 3.32.0-1.mga7
+ Revision: 1374009
- new version 3.32.0

* Thu Mar 07 2019 ovitters <ovitters> 3.31.1-1.mga7
+ Revision: 1372425
- new version 3.31.1

* Fri Sep 21 2018 umeabot <umeabot> 3.30.0-2.mga7
+ Revision: 1295308
- Mageia 7 Mass Rebuild

* Sun Sep 02 2018 ovitters <ovitters> 3.30.0-1.mga7
+ Revision: 1256268
- new version 3.30.0

* Mon Jul 16 2018 ovitters <ovitters> 3.29.1-1.mga7
+ Revision: 1243851
- new version 3.29.1

* Mon Mar 12 2018 ovitters <ovitters> 3.28.0-1.mga7
+ Revision: 1208323
- new version 3.28.0

* Wed Feb 14 2018 ovitters <ovitters> 3.27.90-1.mga7
+ Revision: 1201070
- switch to meson
- new version 3.27.90

* Sun Oct 22 2017 wally <wally> 3.26.1-1.mga7
+ Revision: 1173058
- new version 3.26.1

* Mon Sep 11 2017 cjw <cjw> 3.24.0-2.mga7
+ Revision: 1152868
- rebuild for new find_lang

* Tue Mar 21 2017 ovitters <ovitters> 3.24.0-1.mga6
+ Revision: 1094021
- new version 3.24.0

* Mon Nov 07 2016 ovitters <ovitters> 3.22.1-1.mga6
+ Revision: 1065636
- new version 3.22.1

* Sat Sep 24 2016 ovitters <ovitters> 3.22.0-1.mga6
+ Revision: 1055728
- new version 3.22.0

* Sun Sep 18 2016 ovitters <ovitters> 3.21.90-1.mga6
+ Revision: 1053979
- new version 3.21.90

* Mon Apr 11 2016 ovitters <ovitters> 3.20.1-1.mga6
+ Revision: 1000259
- new version 3.20.1

* Sun Mar 20 2016 ovitters <ovitters> 3.20.0-1.mga6
+ Revision: 993098
- new version 3.20.0
- new version 3.19.91

* Sat Feb 13 2016 umeabot <umeabot> 3.18.1-2.mga6
+ Revision: 959580
- Mageia 6 Mass Rebuild

* Fri Oct 09 2015 ovitters <ovitters> 3.18.1-1.mga6
+ Revision: 888126
- new version 3.18.1

* Thu Sep 24 2015 tv <tv> 3.18.0-1.mga6
+ Revision: 882994
- new release

* Wed Sep 16 2015 ovitters <ovitters> 3.17.90-1.mga6
+ Revision: 879978
- new version 3.17.90

* Sun Jun 21 2015 ovitters <ovitters> 3.16.1-1.mga6
+ Revision: 838506
- new version 3.16.1
- new version 3.14.1
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild

* Mon Sep 22 2014 ovitters <ovitters> 3.14.0-1.mga5
+ Revision: 719218
- new version 3.14.0

* Tue Sep 16 2014 umeabot <umeabot> 3.13.91-2.mga5
+ Revision: 678113
- Mageia 5 Mass Rebuild

* Tue Sep 02 2014 ovitters <ovitters> 3.13.91-1.mga5
+ Revision: 671116
- new version 3.13.91

* Thu Jul 24 2014 fwang <fwang> 3.13.2-1.mga5
+ Revision: 656258
- update file list
- update file list
+ ovitters <ovitters>
- new version 3.13.2

* Wed May 28 2014 ovitters <ovitters> 3.13.1-1.mga5
+ Revision: 627104
- new version 3.13.1

* Mon Apr 28 2014 dams <dams> 3.12.1-1.mga5
+ Revision: 618692
- clean specfile
- update %%file list
+ ovitters <ovitters>
- new version 3.12.1

* Mon Mar 24 2014 ovitters <ovitters> 3.12.0-1.mga5
+ Revision: 608113
- new version 3.12.0

* Wed Feb 19 2014 ovitters <ovitters> 3.11.90-1.mga5
+ Revision: 594793
- new version 3.11.90

* Wed Feb 05 2014 dams <dams> 3.11.1-1.mga5
+ Revision: 582904
- new version 3.11.1

* Sat Nov 09 2013 ovitters <ovitters> 3.10.1-3.mga4
+ Revision: 550143
- fix url

* Tue Oct 22 2013 umeabot <umeabot> 3.10.1-2.mga4
+ Revision: 542469
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 ovitters <ovitters> 3.10.1-1.mga4
+ Revision: 497608
- new version 3.10.1

* Mon Sep 23 2013 ovitters <ovitters> 3.10-1.mga4
+ Revision: 484434
- new version 3.10

* Tue Sep 03 2013 dams <dams> 3.9.91-1.mga4
+ Revision: 474696
- update %%file
+ ovitters <ovitters>
- new version 3.9.91

* Mon Aug 19 2013 ovitters <ovitters> 3.9.90-1.mga4
+ Revision: 467933
- new version 3.9.90

* Sun Aug 04 2013 wally <wally> 3.9.3-1.mga4
+ Revision: 463206
- fix broken desktop file
+ ovitters <ovitters>
- new version 3.9.3

* Fri Jul 26 2013 dams <dams> 3.9.2-1.mga4
+ Revision: 458182
- new version 3.9.2

* Fri May 24 2013 dams <dams> 3.8.2-1.mga4
+ Revision: 426212
- new version 3.8.2

* Fri Jan 11 2013 ovitters <ovitters> 3.6.4-1.mga3
+ Revision: 350266
- new version 3.6.4

* Fri Jan 11 2013 umeabot <umeabot> 3.6.3-2.mga3
+ Revision: 346843
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 15 2012 ovitters <ovitters> 3.6.3-1.mga3
+ Revision: 318191
- new version 3.6.3

* Wed Oct 17 2012 fwang <fwang> 3.6.2-1.mga3
+ Revision: 307379
- update file list
+ ovitters <ovitters>
- new version 3.6.2

* Tue Oct 16 2012 fwang <fwang> 3.6.1-1.mga3
+ Revision: 307035
- update file list
- br gir
- br vala-tools
+ ovitters <ovitters>
- new version 3.6.1

* Mon Sep 24 2012 ovitters <ovitters> 3.6.0-1.mga3
+ Revision: 297245
- new version 3.6.0

* Tue Sep 18 2012 ovitters <ovitters> 3.5.92-1.mga3
+ Revision: 295640
- new version 3.5.92

* Mon Sep 03 2012 ovitters <ovitters> 3.5.91-1.mga3
+ Revision: 287764
- new version 3.5.91

* Mon Aug 20 2012 ovitters <ovitters> 3.5.90-1.mga3
+ Revision: 282728
- new version 3.5.90

* Thu Aug 09 2012 ovitters <ovitters> 3.5.5-1.mga3
+ Revision: 280194
- update file list
- new version 3.5.5
- new version 3.5.4
+ fwang <fwang>
- bump req on gtk3

* Tue Jun 26 2012 ovitters <ovitters> 3.5.3-1.mga3
+ Revision: 264112
- update file list
- new version 3.5.3

* Thu Apr 05 2012 ovitters <ovitters> 3.4.1-1.mga2
+ Revision: 228659
- new version 3.4.1

* Mon Mar 26 2012 ovitters <ovitters> 3.4.0-1.mga2
+ Revision: 226948
- new version 3.4.0

* Mon Mar 19 2012 ovitters <ovitters> 3.3.4-1.mga2
+ Revision: 224450
- new version 3.3.4

* Fri Mar 09 2012 fwang <fwang> 3.3.3-1.mga2
+ Revision: 222048
- new version 3.3.3

* Wed Feb 22 2012 ovitters <ovitters> 3.3.2-1.mga2
+ Revision: 212316
- add translated help files
- update file list
- update buildrequires
- new version

* Sat Oct 29 2011 wally <wally> 3.3.1-1.mga2
+ Revision: 159574
- imported package baobab

